<?php
include('cfg.php');
echo '<link rel="stylesheet" type="text/css" href="style.css"/>
<body>
<div class="head">'.$date.'-['.$user['country'].'] </div><div class="money">';
echo $_SERVER['X_FORWARDED_FOR'];
switch($_GET['a'])
	{
	default:



	$msg=mysql_num_rows(mysql_query("SELECT *
FROM `msg`
WHERE `to_whom_id` ='$id'
AND `read` ='0'"));
if ($msg > '0')
	{
	echo '<img src="./images/Q_chainmail.png" alt=*  style="float:left; padding:5px">';
	echo 'Новое сообщение!<br /><a href="input.php">Открыть</a>';
	echo ' <div style="clear: center"></div></div><div class="money">';
	}

	if (isset($_POST['text']))
		{
		$text = htmlspecialchars($_POST['text']);
		$count_text = mb_strlen($text, 'UTF-8');
		$error = '';
		if ($user['shut_you'] > $time) {$shut_youu = 1; $error .= 'Вам запретили писать в чате.<br />';}
	 	if ($count_text < 2) $error .= 'Текст слишком короткий<br/>';
		if (($user['time_reg']+3600) > $time) $error .= 'Вы не можете писать в игре. Вам необходимо ждать час после регистрации.<br/>';
		if ($count_text > 500) $error .= 'Текст слишком длинный<br/>';
		$last_m = mysql_fetch_array(mysql_query("SELECT * FROM `chat` WHERE `id_user`='$id' ORDER by `id` DESC"));
		if (intval($last_m['time']+10) >= $time) $error .= 'Интервал между отправкой сообщений 10 секунд<br />';
		if (empty ($error))
			{

						if (preg_match("/\bciva\b/i",$text)) $rekla = 1;
			if (preg_match("/\bсiva\b/i",$text)) $rekla = 1;
			if (preg_match("/\bцivа\b/i",$text)) $rekla = 1;
			if (preg_match("/\bсиva\b/i",$text)) $rekla = 1;
			if (preg_match("/\bсiвa\b/i",$text)) $rekla = 1;

			if (preg_match("/\b(пробел)\b/i",$text)) $rekla = 1;
			if (preg_match("/\b(точка)\b/i",$text)) $rekla = 1;

			if (preg_match("/com/i",$text)) $rekla = 1;
			if (preg_match("/ru/i",$text)) $rekla = 1;
			if (preg_match("/mobi/i",$text)) $rekla = 1;
			if (preg_match("/\bcvgame\b/i",$text)) $rekla = 1;
			if (preg_match("/\bру\b/i",$text)) $rekla = 1;
			if (preg_match("/\bмоби\b/i",$text)) $rekla = 1;
			if (preg_match("/\b.ру\b/i",$text)) $rekla = 1;
			if (preg_match("/\b.моби\b/i",$text)) $rekla = 1;
			if (preg_match("/\b. ру\b/i",$text)) $rekla = 1;
			if (preg_match("/\b. моби\b/i",$text)) $rekla = 1;
			if (preg_match("/\bадрес\b/i",$text)) $rekla = 1;
			if (preg_match("/\bговноцива\b/i",$text)) $rekla = 1;
			if (preg_match("/\bciwa\b/i",$text)) $rekla = 1;
			if (preg_match("/\bадрес\b/i",$text)) $rekla = 1;
			if (preg_match("/\b2.0\b/i",$text)) $rekla = 1;

				if ($rekla == 1)
				{
				$text = 'А мне больше всего нравится на Civilz.Net. Остальные браузерные игры жанра стратегии - не люблю!';
				mysql_query("UPDATE `users` SET `shut_you`='".intval($time+300)."' WHERE `id`='$id'");
				}



			mysql_query("INSERT INTO `chat` SET `id_user`='$id',
												`id_tu_user`='$to[id]',
												`privat`='$privat',
												`msg`='$text',
												`time`='$time',
												`date`='".date("H:i")."',
												`del`='0';");
			mysql_query("UPDATE `users` SET `money`=money+'5',`post`=post+'1' WHERE `id`='$id'");
			header("Location: chat.php");
			echo 'Сообщение отправлено!';
			} else
				{
				if ($shut_youu == 1)
					{

					if (($user[shut_you]-$time)<100000)
						{
						echo 'Вам запретили писать в чате. Осталось ';
						time_end($user['shut_you']);
						echo '<br />';
						} else echo 'У вас пожизенный блок в чате.<br/>';

					}
					else {
							echo 'Ошибка!<br />'.$error.'<a href="chat.php">Повторить</a>';
						 }
				}
		} else {
	echo '
	<form method="POST" action="">
	Сообщение:<br />
	<input type="text" name="text" size=10><input type="submit" value="Отправить">
	</form>


	';
				}
	echo $ipen.' <a href="?a=add">Написать</a> | '.$irefresh.' <a href="./chat.php">Обновить</a></div><div class="money">';

	//НАЧАЛО ВЫВОДА
		$per_page=10;
		if (isset($_GET['page'])) $page=($_GET['page']-1); else $page=0;
		$start=abs($page*$per_page);
		if ($user[rank]=='Игрок') $q="SELECT * FROM `chat` WHERE `del` = '0' AND ((`privat`='1' AND (`id_tu_user`='$id' OR `id_user`='$id')) OR `privat`='0')  ORDER BY `id` DESC LIMIT $start,$per_page";

		if ($user[rank]=='Админ' OR $user['rank']=='Модер') $q="SELECT * FROM `chat` WHERE `del` = '0' ORDER BY `id` DESC LIMIT $start,$per_page";



		//Админские действия ;)



		$res=mysql_query($q);
		while($r=mysql_fetch_array($res))
		{


		//Админские действия ;)
		if (intval($_GET['r'])=='1' AND intval($_GET['del'])>'0' AND ($user['rank']=='Админ' OR $user['rank']=='Модер'))
			{
			mysql_query("UPDATE `chat` SET `del`='1' WHERE `id`='".$_GET['del']."'");
			header("Location: chat.php?page=".$_GET['page']."&r=1");
			}

		if (intval($_GET['r'])=='1' AND intval($_GET['del2'])>'0' AND ($user['rank']=='Админ' OR $user['rank']=='Модер'))
			{
			mysql_query("DELETE FROM `chat` WHERE `id_user`='".$_GET['del2']."' AND `time`>='".intval($time-86000)."'");
			header("Location: chat.php?page=".$_GET['page']."&r=1");
			}

		if (intval($_GET['r'])=='1' AND intval($_GET['red'])>'0' AND ($user['rank']=='Админ' OR $user['rank']=='Модер') AND $r['id']==$_GET['red'])
			{
			if (isset($_POST['text_red']))
				{
				mysql_query("UPDATE `chat` SET `msg`='".$_POST['text_red']."' WHERE `id`='$_GET[red]'");
				header("Location: chat.php?page=".$_GET['page']."&r=1");
				} else {
			$edit_text = mysql_fetch_array(mysql_query("SELECT * FROM `chat` WHERE `id`=$_GET[red]"));
			echo '<form method="POST" action="">
			<textarea name="text_red">'.$edit_text['msg'].'</textarea><br />
			<input type="submit" value="Изменить">
			</form>';
						}
			}
		if (intval($_GET['r'])=='1' AND intval($_GET['shut'])>'0' AND ($user['rank']=='Админ' OR $user['rank']=='Модер') AND $_GET['shut']==$r[id_user])
			{
			$login_shut = mysql_fetch_array(mysql_query("SELECT `country` FROM `users` WHERE `id`='$_GET[shut]'"));
			echo 'На сколько даём молчанку <b>'.$login_shut['country'].'</b>:<br />';
			if($_POST['world']=='300' OR $_POST['world']=='3600' OR $_POST['world']=='21600' OR $_POST['world']=='86400' OR $_POST['world']=='41104000')
				{
				mysql_query("UPDATE `users` SET `shut_you`='".intval($_POST['world']+$time)."' WHERE `id`='$_GET[shut]'");
				echo 'Вы заткнули игрока '.$login_shut['country'].' на ';
				time_end($_POST['world']+$time);
				echo '<br /><a href="./chat.php?page='.$_GET['page'].'&amp;r=1">Продолжить</a>';
				} else {
			echo '<form method="POST" action="">
			<input type="radio" name="world" value="300">5 минут<br />
			<input type="radio" name="world" value="3600">Час<br />
			<input type="radio" name="world" value="21600">6 часов<br />
			<input type="radio" name="world" value="86400">Сутки<br />
			<input type="radio" name="world" value="41104000">Вечность<br />
			<input type="submit" value="Молчи сука">
			</form>';
					   }
			exit();
			}



		$who_login = mysql_fetch_array(mysql_query("SELECT `country`,`clan`,`login` FROM `users` WHERE `id`='$r[id_user]'"));
		if ($r['privat']=='0' OR ($r['privat']=='1' AND $r['id_tu_user']==$id) OR ($r['id_user']==$id) OR ($user['rank']=='Админ' OR $user['rank']=='Модер')) // Выводим на всеобщее обозрение сообщения кроме приватных
			{
			//КАРТИНКА КЛАНА
		if ($who_login['clan'] != '0')
			{
			$clan_img = mysql_fetch_array(mysql_query("SELECT `img` FROM `clan` WHERE `id`='$who_login[clan]'"));
			if ($clan_img['img'] != '0') echo '<img src="clan_img/'.$clan_img['img'].'.png" alt=*>';
			if ($clan_img['img'] == '0') echo '';
			}

		if ($who_login['login']=='TEST') echo '<b>';
		echo '<a href="?a=add&amp;log='.$who_login['country'].'">'.$who_login['country'].'</a> [<a href="./profile.php?a=view&amp;uid='.$r['id_user'].'">?</a>]'; // логин
		echo '</b>';
		echo ' [';
		echo $r['date']; // время
		echo ']';
		if (($r['privat']=='1' AND $r['id_tu_user']==$id) OR ($r['privat']=='1' AND $r['id_user']==$id) OR (($user['rank']=='Админ' OR $user['rank']=='Модер') AND $r['privat']=='1')) echo ' <b><u>!P!</u></b>';
		// Если админ, то возможность молчанки (если включено редактирование)
		if (($user['rank']=='Админ' OR $user['rank']=='Модер') AND $_GET['r']=='1') echo '<small><small> [<a style="color:red" href="'.$self.'&amp;shut='.$r['id_user'].'">shut</a>]</small></small>';
		echo '<br />';
		$id_tu_user_l = mysql_fetch_array(mysql_query("SELECT `country` FROM `users` WHERE `id`='$r[id_tu_user]'"));
		if (!empty($r['id_tu_user']))
			{
		if ($r['id_tu_user']==$id) echo '<b>'.$id_tu_user_l['country'].'</b>, '; // Если сообщение адресовано ВАМ
		if ($r['id_tu_user']!=$id) echo ''.$id_tu_user_l['country'].', '; // Если сообщение адресовано ВАМ
			}


			echo $r['msg']; // текст


		if (($user['rank']=='Админ' OR $user['rank']=='Модер') AND $_GET['r']=='1')
			{
			echo '<br /><small><small>[<a style="color:red" href="'.$self.'&amp;red='.$r['id'].'">ред</a>] | [<a style="color:red" href="'.$self.'&amp;del='.$r['id'].'">удал</a>] [<a style="color:red" href="'.$self.'&amp;del2='.$r['id_user'].'">del его сбщения за сутки</a>]</small></small>';
			}


		echo '</div><div class="money">'; // Черта
			}



		}
		 echo '</div>';
		$q2=$q;
		$res=mysql_query($q2);
		$r=mysql_fetch_row($res);
		$total_rows=mysql_result(mysql_query("SELECT count(*) FROM `chat` WHERE `del`='0'"),0);

		$num_pages=ceil($total_rows/$per_page);
		if ($num_pages < intval($_GET['page'])) header("Location: ?page=".$num_pages."");
		if (intval($_GET['page']) < '0' OR !isset($_GET['page'])) header("Location: ?page=1");


		if ($page > '0') echo '<a class="razd" href="'.$_SERVER['PHP_SELF'].'?page='.($_GET['page']-1).'">Назад</a> ';


		if (($page+1) < $num_pages) echo '<a class="razd" href="'.$_SERVER['PHP_SELF'].'?page='.($_GET['page']+1).'">Далее</a>';

		if (isset($_GET['page']))
			{
			if ((($user['rank']=='Админ' OR $user['rank']=='Модер') OR $user['rank']=='Модер') AND !isset($_GET['r'])) echo '<a class="razd" href="'.$_SERVER['PHP_SELF'].'?page='.($_GET[page]).'&amp;r=1">Редактировать сообщения</a>';
			} else
				{
				if ((($user['rank']=='Админ' OR $user['rank']=='Модер') OR $user['rank']=='Модер') AND !isset($_GET['r'])) echo '<a class="razd" href="'.$_SERVER['PHP_SELF'].'?r=1">Редактировать сообщения</a>';
				}
		if (isset($_GET['page']))
		{
		if ((($user['rank']=='Админ' OR $user['rank']=='Модер') OR $user['rank']=='Модер') AND isset($_GET['r'])) echo '<a class="razd" href="'.$_SERVER['PHP_SELF'].'?page='.($_GET[page]).'">Закрыть редактирование</a>';
		} else
		{
		if ((($user['rank']=='Админ' OR $user['rank']=='Модер') OR $user['rank']=='Модер') AND isset($_GET['r'])) echo '<a class="razd" href="'.$_SERVER['PHP_SELF'].'">Закрыть редактирование</a>';
		}





	//КОНЕЦ ВЫВОДА
	break;

	case 'add':
	if (intval($_GET['inf'])=='1')
		{
		echo 'Поле "кому" может оставаться пустым. Если вы хотите адресовать ваше сообщение и чтобы адресат четко увидел что оно отправлено ему, лучше заполнить поле. <br />При передаче приватного сообщения заполнение поля обязательно<br/>';
		echo '<a href="?a=add">Закрыть</a>';
		echo '';
		}
	if (isset($_POST['text']))
		{
		$text = htmlspecialchars($_POST['text']);
		if (!empty($_POST['to'])) $to = htmlspecialchars($_POST['to']);
		$privat = intval($_POST['privat']);
		if ($privat != '1') $privat = 0;
		$error = '';
		if (($user['time_reg']+3600) > $time) $error .= 'Вы не можете писать в чате. Вам необходимо ждать час после регистрации.<br/>';
		if (!empty($_POST['to'])) $user_to = mysql_result(mysql_query("SELECT count(`country`) FROM `users` WHERE `country`='$to'"),0);
		if (!empty($_POST['to'])) if ($user_to == '0') $error .= 'Пользователь не найден<br />';
		$last_m = mysql_fetch_array(mysql_query("SELECT * FROM `chat` WHERE `id_user`='$id' ORDER by `id` DESC"));
		if (intval($last_m['time']+10) >= $time) $error .= 'Интервал между отправкой сообщений 10 секунд<br />';
		if ($last_m['text']==$text) $error .= 'Ваше сообщение повторяет предыдущее<br />';
		if (!empty($_POST['to'])) $to = mysql_fetch_array(mysql_query("SELECT `id` FROM `users` WHERE `country`='".htmlspecialchars($_POST['to'])."'"));
		$count_text = mb_strlen($text, 'UTF-8');
	 	if ($count_text < 2) $error .= 'Текст слишком короткий<br/>';
		if ($count_text > 500) $error .= 'Текст слишком длинный<br/>';
		if ($user['shut_you'] > $time) {$shut_youu = 1; $error .= 'Вам запретили писать в чате.<br />';}

		if (empty($error))
			{


						if (preg_match("/\bciva\b/i",$text)) $rekla = 1;
			if (preg_match("/\bсiva\b/i",$text)) $rekla = 1;
			if (preg_match("/\bцivа\b/i",$text)) $rekla = 1;
			if (preg_match("/\bсиva\b/i",$text)) $rekla = 1;
			if (preg_match("/\bсiвa\b/i",$text)) $rekla = 1;

			if (preg_match("/\b(пробел)\b/i",$text)) $rekla = 1;
			if (preg_match("/\b(точка)\b/i",$text)) $rekla = 1;

			if (preg_match("/com/i",$text)) $rekla = 1;
			if (preg_match("/ru/i",$text)) $rekla = 1;
			if (preg_match("/mobi/i",$text)) $rekla = 1;
			if (preg_match("/\bcvgame\b/i",$text)) $rekla = 1;
			if (preg_match("/\bру\b/i",$text)) $rekla = 1;
			if (preg_match("/\bмоби\b/i",$text)) $rekla = 1;
			if (preg_match("/\b.ру\b/i",$text)) $rekla = 1;
			if (preg_match("/\b.моби\b/i",$text)) $rekla = 1;
			if (preg_match("/\b. ру\b/i",$text)) $rekla = 1;
			if (preg_match("/\b. моби\b/i",$text)) $rekla = 1;
			if (preg_match("/\bадрес\b/i",$text)) $rekla = 1;
			if (preg_match("/\bговноцива\b/i",$text)) $rekla = 1;
			if (preg_match("/\bciwa\b/i",$text)) $rekla = 1;
			if (preg_match("/\bадрес\b/i",$text)) $rekla = 1;
			if (preg_match("/\b2.0\b/i",$text)) $rekla = 1;

				if ($rekla == 1)
				{
				mysql_query("UPDATE `users` SET `shut_you`='".intval($time+300)."' WHERE `id`='$id'");
				$text = 'А мне больше всего нравится на Civilz.Net. Остальные браузерные игры жанра стратегии - не люблю!';
				}


			mysql_query("INSERT INTO `chat` SET `id_user`='$id',
												`id_tu_user`='$to[id]',
												`privat`='$privat',
												`msg`='$text',
												`time`='$time',
												`date`='".date("H:i")."',
												`del`='0';");
			mysql_query("UPDATE `users` SET `money`=money+'5',`post`=post+'1' WHERE `id`='$id'");
			header("Location: chat.php");
			} else
					{
					if ($shut_youu == 1)
					{

					if (($user[shut_you]-$time)<100000)
						{
						echo 'Вам запретили писать в чате. Осталось ';
						time_end($user['shut_you']);
						} else echo 'У вас пожизенный блок в чате.<br/>';
					echo '';
					} else echo 'Ошибка!<br />'.$error.'<a href="?a=add">Написать</a>';
					}



		} else {
	echo '<form method="POST" action="">
	[<a href="?a=add&amp;inf=1">?</a>] Кому:<br />';

	if (isset($_GET['log'])) echo '<input type="text" name="to" value="'.htmlspecialchars($_GET['log']).'"><br />';
	else echo '<input type="text" name="to" value=""><br />';

	echo 'Сообщение:<br />
	<textarea name="text" rows=5></textarea><br />
	<input type="checkbox" name="privat" value="1">Приватно
	<br /> <input type="submit" value="Отправить">
	</form>';
				}
	echo ''.$iback.' <a href="./chat.php">В чат</a>';
	break;
	}


echo '</div><div class="money">Меню</div>
<a class="razd" href="online.php">'.$ionline.' Кто онлайн?</a>
<a class="razd" href="game.php">'.$iback.' Назад</a>
<a class="razd" href="exit.php">'.$iexit.' Выход</a>
<div class="footer"><center><a href="http://wapworld.pp.ua">© WapWorld Games</a><br/><br />
<script type="text/javascript" src="http://mobtop.ru/c/73888.js"></script><noscript><a href="http://mobtop.ru/in/73888"><img src="http://mobtop.ru/73888.gif" alt="MobTop.Ru - Рейтинг и статистика мобильных сайтов"/></a></noscript>
</div>
</body></html>
';

?>